/**
* Theme Name: Archee Child
* Description: This is a child theme of Archee.
* Author: VLThemes
* Template: archee
* Version: 1.0.0
*/

.video-container .elementor-element.e-con-full{
    display: none;
}
.video-container .elementor-element.e-con-full:nth-child(-n+6) {
    display: flex;
}
.video-container #btn-load-more.loading .elementor-button-text {
    opacity: 0;
    visibility: hidden;
}
.video-container #btn-load-more.loading::after {
    content: "";
    width: 16px;
    height: 16px;
    background-image: url('assets/images/spinner.svg');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    position: absolute;
    filter: invert(1);
    animation: eicon-spin 2s linear infinite
}
.video-container .elementor-custom-embed-play {
    width: 60px;
    height: 60px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
}
.video-container .elementor-custom-embed-play svg {
    width: 20px;
    height: 20px;
    fill: #000;
    filter: unset;
    opacity: 1;
}
.portfolio-sec .elementor-element.e-con-full{
    display: none;
}
.portfolio-sec .elementor-element.e-con-full:nth-child(-n+12) {
    display: flex;
}
.portfolio-sec #btn-load-more.loading .elementor-button-text {
    opacity: 0;
    visibility: hidden;
}
.portfolio-sec #btn-load-more.loading::after {
    content: "";
    width: 16px;
    height: 16px;
    background-image: url('assets/images/spinner.svg');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    position: absolute;
    filter: invert(1);
    animation: eicon-spin 2s linear infinite
}
.portfolio-sec .elementor-custom-embed-play {
    width: 60px;
    height: 60px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
}
.portfolio-sec .elementor-custom-embed-play svg {
    width: 20px;
    height: 20px;
    fill: #000;
    filter: unset;
    opacity: 1;
}
.vp-portfolio__preloader-wrap .vp-portfolio__preloader img {
    display: none;
}
@keyframes eicon-spin {
    0% {
        transform: rotate(0deg)
    }

    to {
        transform: rotate(359deg)
    }
}

/* Customise CSS Start Here */
.elementor-editor-active .video-container .elementor-element.e-con-full{
	display : block;
}
body.page,
body.elementor-page-2949,
body.page-id-301 {
    margin: 0px;
}
.vlt-navbar-logo img {
    padding: 15px;
}
footer .elementor-widget-container a:hover {
    color: #fff;
}
.remove-padding #sb_instagram #sbi_images {
    padding: 0px;
}
.vlt-page-content.vlt-page-content--padding {
    padding: 80px 0px;
}
body .vlt-single-post__footer {
    margin-top: 0px;
}
.vlt-page-comments--style-2 .vlt-page-comments__form,
.vlt-page-comments {
    margin-top: 2rem;
}
body .fancybox-iframe {
    height: 100%;
}
header .vlt-navbar .vlt-navbar-inner {
    border: none;
}
.testimonial-slider-sec .vlt-testimonial {
    display: flex;
    flex-wrap: wrap;
}
.testimonial-slider-sec .vlt-testimonial .vlt-testimonial__meta,
.testimonial-slider-sec .vlt-testimonial .vlt-testimonial__content {
    width: 100%;
}
.testimonial-slider-sec .vlt-testimonial .vlt-testimonial__meta {
    order: -1;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    margin: 0 0 30px;
}
.testimonial-slider-sec .vlt-testimonial .vlt-testimonial__meta .vlt-testimonial__avatar {
    width: auto !important;
    margin: 0;
}
.testimonial-slider-sec .vlt-testimonial .vlt-testimonial__meta .vlt-testimonial__avatar img {
    max-width: 130px;
}
.vp-pagination__load-more,
#btn-load-more {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    text-decoration: none;
    white-space: nowrap;
    cursor: pointer;
    border: none;
    border-radius: 4px;
    outline: 0;
    box-shadow: inset 0 -2px hsla(0,0%,0%,.15) !important;
    transition: all 250ms ease-in-out !important;
    z-index: 1;
    font-size: 16px !important;
    font-weight: 400 !important;
    padding: 1.375rem 3.125rem !important;
    background-color: rgb(138 138 138) !important;
    color: #fff !important;
    font-family: Oswald;
    line-height: 1 !important;
    letter-spacing: normal !important;
    text-transform: uppercase;
}
.vp-pagination__load-more:hover,
#btn-load-more:hover {
    background-color: #000 !important;
}
.vp-pagination__load-more {
    transform: unset !important;
    margin-top: 30px;
}
body .fancybox-inner .fancybox-content {
    width: 80% !important;
    padding-bottom: 34%;
    height: auto !important;
}
.single-hero-section {
    filter: grayscale(1);
    transition: all 0.5s;
}
.single-hero-section:hover {
    filter: grayscale(0);
}
.single-left-content .elementor-element.elementor-element-185949b {
    margin-top: 0px;
}
.vlt-contact-form-7 label {
    margin-bottom: 20px;
}
.height-section h2.vlt-showcase-title {
    background-position: -100% 0;
}
.height-section .vlt-showcase-link .vlt-showcase-title a {
    font-size : 6.875rem;
    font-weight: 500;
}
.elementor-widget-post-info {
    padding: 0 15px;
}
body .elementor-lightbox .elementor-video-container .elementor-video-landscape {
    width: 60vw;
}
.video-container #btn-load-more {
    margin-top: 30px;
}
body .vlt-site-back-to-top {
    display: flex;
}
.error404 .search-form {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 32px;
}
.error404 .search-form #search-field {
    width: calc(100% - 115px);
    margin-right: 20px;
}
.client-image-slider .elementor-widget-image-carousel .swiper-slide {
    padding: 10px 20px;
}
.vlt-fixed-socials a,
.vlt-fixed-socials a i {
    color: #6EC1E4 !important;
}
.vlt-fixed-socials a [data-text]::before {
    opacity: 1 !important;
}
.vlt-navbar-socials.custom-social-icon {
    display: flex;
}
.vlt-navbar-socials.custom-social-icon a {
    display: none;
}
.vlt-navbar-socials.custom-social-icon a:first-child, 
.vlt-navbar-socials.custom-social-icon a:nth-child(2),
.vlt-navbar-socials.custom-social-icon a:nth-child(3){
    display: inline-flex;
}
.vp-portfolio.vp-uid-5c798f49.vp-id-1052.vp-portfolio__ready {
    display: flex;
    flex-wrap: wrap;
    row-gap: 20px;
    align-items: center;
    justify-content: center;
}
.vp-portfolio__layout-elements.vp-portfolio__layout-elements-top.vp-portfolio__layout-elements-align-center {
    order: 1;
    margin: 100px 0px 0px;
}
.vp-portfolio.vp-uid-5c798f49.vp-id-1052.vp-portfolio__ready  .vp-portfolio__items-wrap {
    width: 100%;
}
.vp-portfolio__layout-elements.vp-portfolio__layout-elements-top.vp-portfolio__layout-elements-align-center .vp-portfolio__filter-wrap {
    margin: 0 0 20px;
}
.vp-portfolio__filter-wrap .vp-filter__item a {
    color: #fff;
}
.vp-portfolio__filter-wrap .vp-filter__item a span.vp-filter__item-count{
    color: #fff;
    opacity: 1;
}
body .vlt-navbar-buttons {
    margin-left: 40px;
}
.vp-portfolio__filter-wrap .vp-filter__item a {
    color: #000;
}
.night-mode .vp-portfolio__filter-wrap .vp-filter__item a {
    color: #fff;
}
header .vlt-navbar-buttons .vlt-search-form button {
    padding: 5px;
}
/* Header Logo Animation Start Here */ 
header .vlt-navbar-inner .vlt-navbar-logo img {
    animation: anim-page-loader 5s infinite ease-in-out;
}
.vlt-header--mobile .vlt-navbar {
    background-color: #000;
}
@keyframes anim-page-loader {
    0% {
        filter: grayscale(0%);
    }
    25% {
        filter: grayscale(50%);
    }
    50% {
        filter: grayscale(100%);
    }
    75% {
        filter: grayscale(50%);
    }
    100% {
        filter: grayscale(0%);
    }
}
/* Header Logo Animation End Here */
@media screen and (max-width:1024px){
    .client-image-slider .e-con-inner img {
        max-width: 150px ;
    }
}
@media screen and (max-width:991px){
    .vlt-page-content.vlt-page-content--padding {
        padding: 60px 0px;
    }
    body .fancybox-inner .fancybox-content {
        width: 85% !important;
    }
    .height-section .vlt-showcase-link .vlt-showcase-title a {
        font-size: 3.6875rem;
    }
    body .elementor-lightbox .elementor-video-container .elementor-video-landscape {
        width: 80vw;
    }
    .vp-portfolio__layout-elements.vp-portfolio__layout-elements-top.vp-portfolio__layout-elements-align-center {
        margin: 80px 0px 0px;
    }
}
@media screen and (max-width:767px){
    .vlt-page-content.vlt-page-content--padding {
        padding: 50px 0px;
    }
    body .fancybox-inner .fancybox-content {
        width: 100% !important;
        padding-top: 56.25%;
        height: auto !important;
    }
    body .fancybox-inner .fancybox-content .fancybox-iframe {
        width: 100%;
        height: 100%;
        border: 0;
    }
    .testimonial-slider-sec .vlt-testimonial .vlt-testimonial__meta {
        margin: 0 0 20px;
    }
    .vp-pagination__load-more {
        margin-top: 20px;
    }
    .height-section .vlt-showcase-link .vlt-showcase-title a {
        font-size: 2.875rem;
    }
    .client-image-slider .elementor-element .elementor-image-carousel-wrapper .elementor-image-carousel .swiper-slide-image {
        width: 150px;
    }
    body .elementor-lightbox .elementor-video-container .elementor-video-landscape {
        width: 90vw;
    }
    .video-container #btn-load-more {
        margin-top: 20px;
    }
    .error404 .search-form {
        margin-bottom: 28px;
    }
    .error404 .search-form #search-field {
        width: calc(100% - 100px);
        margin-right: 15px;
    }
    .video-with-content .video-with-content-right {
        order: -1;
    }
    .vlt-service-box.vlt-service-box--style-1 {
        flex-direction: column;
        row-gap: 20px;
    } 
    .vlt-service-box--style-1 .vlt-service-box__icon {
        margin-left: 0px;
    }
    .vlt-nav--mobile__navigation .vlt-navbar-socials.custom-social-icon {
        padding: 0 20px 20px  15px;
    }
    .vlt-navbar-socials.custom-social-icon a {
        display: inline-flex;
    }
    body .vlt-navbar-buttons {
        margin-left: 1.25rem;
    }
     .vp-portfolio__layout-elements.vp-portfolio__layout-elements-top.vp-portfolio__layout-elements-align-center {
        margin: 50px 0px 0px;
    }
    .gallery-section .elementor-image-gallery .gallery.gallery-columns-4 .gallery-item {
        max-width: 50%;
    }
}
@media (max-width: 576px) {
    .client-image-slider .e-con-inner img { 
        max-width: 100%;
    }
}
@media (max-height: 576px) {
    body .fancybox-slide {
        padding-left: 30px;
        padding-right: 36px;
    }
    .vlt-team-member__avatar img.attachment-full.size-full {
        max-height: 300px;
        object-position: top;
        object-fit: cover;
    }
    .testimonial-slider-sec .swiper-slide {
        min-height: 432px;
    }
}

/* Customise CSS End Here */
